PrefabFiles = {
  "fireflies",
  "redfireflies",
  "orangefireflies",
  "yellowfireflies",
  "greenfireflies",
  "bluefireflies",
  "cyanfireflies",
  "purplefireflies",

} 
local Recipe = GLOBAL.Recipe
local SpawnPrefab = GLOBAL.SpawnPrefab
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH
local lan = GetModConfigData("language")
local NAMES = GLOBAL.STRINGS.NAMES
local JIESHAO = GLOBAL.STRINGS.RECIPE_DESC
local DIAOCHA = GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE
GLOBAL.FIREFLIES_FEAR = GetModConfigData("fireflies_fear")---萤火虫是否害怕玩家选项
---language中英文学自天涯宝箱，以方便中英文用户.(主要是英文用户)
----中文
local STRINGS_CHS = {
	fireflies = {
		name = "萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},
	
	redfireflies = {
		name = "红萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},
	
	orangefireflies = {
		name = "橙萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},

	yellowfireflies = {
		name = "黄萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},

	greenfireflies = {
		name = "绿萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},
	
	bluefireflies = {
		name = "蓝萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},
	
	cyanfireflies = {
		name = "青萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},
	
	purplefireflies = {
		name = "紫萤火虫",
		jieshao = "点缀黑夜的萤火虫",
	},
	
}
----英文
local STRINGS_EN = {
	fireflies = {
		name = "Fireflies",
		jieshao = "Shining when night coming.",
	},
	
	redfireflies = {
		name = "Redfireflies",
		jieshao = "Shining when night coming.",
	},

	orangefireflies = {
		name = "Orangefireflies",
		jieshao = "Shining when night coming.",
	},

	yellowfireflies = {
		name = "Yellowfireflies",
		jieshao = "Shining when night coming.",
	},	

	greenfireflies = {
		name = "Greenfireflies",
		jieshao = "Shining when night coming.",
	},
	
	bluefireflies = {
		name = "Bluefireflies",
		jieshao = "Shining when night coming.",
	},	

	cyanfireflies = {
		name = "Cyanfireflies",
		jieshao = "Shining when night coming.",
	},
	
	purplefireflies = {
		name = "Purplefireflies",
		jieshao = "Shining when night coming.",
	},	

}

local modstr=nil
local function getStr(str)
	return str
end
if lan==000 then
	modstr=getStr(STRINGS_CHS)
	GLOBAL.RTYWORDS=modstr.RTYWORDS
else
	modstr=getStr(STRINGS_EN)
	GLOBAL.RTYWORDS=modstr.RTYWORDS
end
----萤火虫制作信息
NAMES.FIREFLIES = modstr.fireflies.name                                      --默认
JIESHAO.FIREFLIES = modstr.fireflies.jieshao

NAMES.REDFIREFLIES = modstr.redfireflies.name                                --红
JIESHAO.REDFIREFLIES = modstr.redfireflies.jieshao

NAMES.ORANGEFIREFLIES = modstr.orangefireflies.name                                --橙
JIESHAO.ORANGEFIREFLIES = modstr.orangefireflies.jieshao

NAMES.YELLOWFIREFLIES = modstr.yellowfireflies.name                                --黄
JIESHAO.YELLOWFIREFLIES = modstr.yellowfireflies.jieshao

NAMES.GREENFIREFLIES = modstr.greenfireflies.name                                --绿
JIESHAO.GREENFIREFLIES = modstr.greenfireflies.jieshao

NAMES.BLUEFIREFLIES = modstr.bluefireflies.name                                --
JIESHAO.BLUEFIREFLIES = modstr.bluefireflies.jieshao

NAMES.CYANFIREFLIES = modstr.cyanfireflies.name                                --
JIESHAO.CYANFIREFLIES = modstr.cyanfireflies.jieshao

NAMES.PURPLEFIREFLIES = modstr.purplefireflies.name                                --紫
JIESHAO.PURPLEFIREFLIES = modstr.purplefireflies.jieshao

local RecipeCost = GetModConfigData("fireflies_fear") or 222
if RecipeCost == 222 then--正常情况
AddRecipe("fireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil)
AddRecipe("redfireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/redfireflies.xml", "redfireflies.tex")
AddRecipe("orangefireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/orangefireflies.xml", "orangefireflies.tex")
AddRecipe("yellowfireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/yellowfireflies.xml", "yellowfireflies.tex")
AddRecipe("greenfireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/greenfireflies.xml", "greenfireflies.tex")
AddRecipe("cyanfireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/cyanfireflies.xml", "cyanfireflies.tex")
AddRecipe("bluefireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/bluefireflies.xml", "bluefireflies.tex")
AddRecipe("purplefireflies",   { Ingredient("lightbulb", 5)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/purplefireflies.xml", "purplefireflies.tex")

elseif RecipeCost == 333 then--夜晚不害怕玩家
AddRecipe("fireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil)
AddRecipe("redfireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/redfireflies.xml", "redfireflies.tex")
AddRecipe("orangefireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/orangefireflies.xml", "orangefireflies.tex")
AddRecipe("yellowfireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/yellowfireflies.xml", "yellowfireflies.tex")
AddRecipe("greenfireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/greenfireflies.xml", "greenfireflies.tex")
AddRecipe("cyanfireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/cyanfireflies.xml", "cyanfireflies.tex")
AddRecipe("bluefireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/bluefireflies.xml", "bluefireflies.tex")
AddRecipe("purplefireflies",   { Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/purplefireflies.xml", "purplefireflies.tex")

elseif RecipeCost == 444 then--任何时候发光
AddRecipe("fireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil)
AddRecipe("redfireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/redfireflies.xml", "redfireflies.tex")
AddRecipe("orangefireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/orangefireflies.xml", "orangefireflies.tex")
AddRecipe("yellowfireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/yellowfireflies.xml", "yellowfireflies.tex")
AddRecipe("greenfireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/greenfireflies.xml", "greenfireflies.tex")
AddRecipe("cyanfireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/cyanfireflies.xml", "cyanfireflies.tex")
AddRecipe("bluefireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/bluefireflies.xml", "bluefireflies.tex")
AddRecipe("purplefireflies",   { Ingredient("wormlight_lesser", 1),Ingredient("lightbulb", 10)}, RECIPETABS.LIGHT,  TECH.SCIENCE_ONE, nil, nil, nil, nil, nil, "images/inventoryimages/purplefireflies.xml", "purplefireflies.tex")

end

